Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ipe::PdfString Class Reference
Ipe Base

The PDF string object. More...

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

List of all members.

## Public Member Functions

- PdfString (const String &val)
- virtual const PdfString * string () const
- virtual void write (Stream &stream) const
- String value () const

## Detailed Description

The PDF string object.

## Constructor & Destructor Documentation

ipe::PdfString::PdfString | ( | const String & | val | ) | `[inline, explicit]`

## Member Function Documentation

const PdfString * PdfString::string | ( |  | ) | const`[virtual]`

Return this object as PDF string object.

Reimplemented from ipe::PdfObj.

void PdfString::write | ( | Stream & | stream | ) | const`[virtual]`

Implements ipe::PdfObj.

String ipe::PdfString::value | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp